package cn.reghao.tnb.user.app.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.user.app.model.po.UserVip;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author reghao
 * @date 2022-06-08 13:38:02
 */
@Mapper
public interface UserVipMapper extends BaseMapper<UserVip> {
    void updateUserVip(@Param("userId") long userId, @Param("expireAt") long expireAt);
    void updateRcmdMode(@Param("userId") long userId, @Param("rcmdMode") int rcmdMode);

    UserVip findByUserId(long userId);
}
